summaryrefslogtreecommitdiffstats
path: root/extra/fetchmail/fetchmail.initd
diff options
context:
space:
mode:
Diffstat (limited to 'extra/fetchmail/fetchmail.initd')
-rwxr-xr-xextra/fetchmail/fetchmail.initd30
1 files changed, 30 insertions, 0 deletions
diff --git a/extra/fetchmail/fetchmail.initd b/extra/fetchmail/fetchmail.initd
new file mode 100755
index 00000000..30eea503
--- /dev/null
+++ b/extra/fetchmail/fetchmail.initd
@@ -0,0 +1,30 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ use mta
+}
+
+checkconfig() {
+ if [ ! -f /etc/fetchmailrc ]; then
+ eerror "Configuration file /etc/fetchmailrc not found"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting fetchmail"
+ start-stop-daemon --start --quiet --exec /usr/bin/fetchmail \
+ --chuid ${USER:-fetchmail}:${GROUP:-fetchmail} \
+ -- -d ${polling_period} -f /etc/fetchmailrc
+ eend ${?}
+}
+
+stop() {
+ ebegin "Stopping fetchmail"
+ start-stop-daemon --stop --quiet --pidfile /var/run/fetchmail.pid
+ eend ${?}
+}
+